Bug 166813 - SVG renderer doesnt display all objects of an SVG (dia/gthumb/nautilus)
SVG renderer doesnt display all objects of an SVG (dia/gthumb/nautilus)
Product: Fedora
Classification: Fedora
Component: librsvg2 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2005-08-25 19:59 EDT by Nicolas Scheibling
Modified: 2008-02-28 14:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-28 14:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
an svg file edited with inkscape (34.82 KB, image/svg)
2005-08-25 19:59 EDT, Nicolas Scheibling
no flags Details

  None (edit)
Description Nicolas Scheibling 2005-08-25 19:59:32 EDT
Description of problem:
i have done some svg plain output with inkscape. 
I tested this svg file on other systems (ie Debian with librsvg2 from cvs) and
the svg renderer is good in dia/gthumb/nautilus.
But in the latest FC4 with 
lots of objects aren't rendered.

Version-Release number of selected component (if applicable):

How reproducible:
Edit an SVG and look for its preview in nautilus or import it into dia or see it
with gthumb.

Steps to Reproduce:
1.preview in nautilus
2.SVG import in DIA 
Actual results:
some objects are missing from the SVG import/render.

Expected results:
an SVG file well displayed.

Additional info:
Comment 1 Nicolas Scheibling 2005-08-25 19:59:33 EDT
Created attachment 118132 [details]
an svg file edited with inkscape
Comment 2 Christian Iseli 2007-01-22 05:27:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 3 petrosyan 2008-02-28 14:31:46 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.